Subject: Re: [PATCH] rakudo Re: Parrot packaging problems
From: "Patrick R. Michaud" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: Michael Schroeder <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 10 Apr 2009 13:46:13 -0500
List-Id: <cygwin.cygwin.com>

On Fri, Apr 10, 2009 at 08:05:50PM +0200, Reini Urban wrote:
> 2009/4/10 Patrick R. Michaud <[email-masked]>:
> > For some reason that doesn't sound quite right to me.  When converting
> > rakudo to an executable, the pbc2exe we use should already know
> > if it's being run using an installed parrot or some other parrot
> > (because pbc2exe is itself a parrot application).  So we shouldn't
> > have to pass an explicit flag to it -- we should simply get the
> > correct perl6 executable based on whatever pbc2exe was run.
> 
> We could check if we use /usr/bin/pbc2exe and assume automatically
> --install then, yes.

Well, I was thinking of something more sophisticated than checking
the path.  We already have two builds of pbc2exe -- the one that
is built when Parrot is built, and the one that gets built and
installed as part of a Parrot install.  That second one should
be built already having the knowledge that "I'm the Parrot install
version of pbc2exe", and thus it should always use the Parrot
install config.o (without having to check paths or options).

> >> I assume 2009-03 is targetting a newer parrot than 1.0.0,
> >> which is unfortunate for a quasi perl6-1.0 release.
> >
> > The 2009-03 release targets parrot 1.0.0.  What you're probably
> > seeing is that the spectests (which are outside of the release
> > tarball) have changed since the release.  So, I guess we may want
> > to (a) include a copy of the current spectests at the time of the
> > release in the tarball (and change the 'make spectest' target
> > to use those) or (b) change the Makefile in the release so that it
> > always checks out the spectests that were in effect at the time
> > of the release.
> 
> Ok, I will check out the right git tag around that date and
> include the full tests in the release.

Its likely a bit more than just that, because "make spectest"
will also attempt to update whatever it finds in t/spec to the
latest version from pugscode.org .

Pm

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/